FROM registry.odit.services/hub/library/node:19.7.0-alpine3.16 as build
WORKDIR /app
COPY package.json ./
RUN npx pnpm@7.5.1 i
COPY package.json pnpm-lock.yaml *.config.js postcss.config.cjs tailwind.config.js vite.config.js index.html ./
COPY src ./src
COPY public ./public
RUN npm run build
# final image
FROM registry.odit.services/library/nginx-brotli:3.15 as final
COPY --from=build /app/dist /usr/share/nginx/html
COPY ./nginx.conf /etc/nginx/nginx.conf